
// by Leon Zak
// info@zaks.com
// KESMET sensor test with Arduino UNO
//
// you can use either the Serial Monitor or Plotter

int ledPin = 13;

//****************************
// Kesmet Proximity Sensor
//****************************
int proximitySensorInputPin = A0;
int proximitySensorReading = 0;

void setup() {
  Serial.begin(115200);
  pinMode(ledPin, OUTPUT);
}

void loop() {
  // now check the sensor to see if there is someone in front of it
  proximitySensorReading = analogRead(proximitySensorInputPin);
  Serial.println(proximitySensorReading);
  // My VCC was 4.99 volts into the UNO. When the sensor went high it gave an
  // reading out of 613-616, so I figured anything over 500 was a high, under a low
  if (proximitySensorReading  >500) {
    digitalWrite(ledPin, HIGH);
  } else {
    digitalWrite(ledPin, LOW);    
  }
 delay(100); // change this to speed up/slow down the plotting
}
